Class | Fog::Compute::RackspaceV2::Server
In: | lib/fog/rackspace/models/compute_v2/server.rb
Parent: | Fog::Compute::Server

### Methods

attach_volume attachments change_admin_password confirm_resize create create_image destroy flavor image metadata metadata= new private_ip_address public_ip_address ready? reboot rebuild resize revert_resize save setup update

### Constants

ACTIVE | = | 'ACTIVE' |  | States
BUILD | = | 'BUILD'
DELETED | = | 'DELETED'
ERROR | = | 'ERROR'
HARD_REBOOT | = | 'HARD_REBOOT'
MIGRATING | = | 'MIGRATING'
PASSWORD | = | 'PASSWORD'
REBOOT | = | 'REBOOT'
REBUILD | = | 'REBUILD'
RESCUE | = | 'RESCUE'
RESIZE | = | 'RESIZE'
REVERT_RESIZE | = | 'REVERT_RESIZE'
SUSPENDED | = | 'SUSPENDED'
UNKNOWN | = | 'UNKNOWN'
VERIFY_RESIZE | = | 'VERIFY_RESIZE'

### External Aliases

ipv4_address | -> | access_ipv4_address
ipv4_address= | -> | access_ipv4_address=
ipv6_address | -> | access_ipv6_address
ipv6_address= | -> | access_ipv6_address=

### Attributes

password | [R] |

### Public Class methods

new(attributes={})

### Public Instance methods

attach_volume(volume, device=nil)
attachments()
change_admin_password(password)
confirm_resize()
create()
create_image(name, options = {})
destroy()
flavor()
image()
metadata()
metadata=(hash={})
private_ip_address()
public_ip_address()
ready?(ready_state = ACTIVE, error_states=[ERROR])
reboot(type = 'SOFT')
rebuild(image_id, options={})
resize(flavor_id)
revert_resize()
save()
setup(credentials = {})
update()

[Validate]